from django.utils import simplejson
from dajaxice.decorators import dajaxice_register
from adminShapes.models import Place,City
from django.contrib.gis.geos import Point

@dajaxice_register
def getPlace(request, city_id):
  place = Place.objects.order_by('?').filter(city__id=city_id)[0]
  lat = str(place.point.y)
  lon = str(place.point.x)
  id = place.pk

  return simplejson.dumps({'lat': lat, 'lon': lon, 'id': id})
