from django.db import models
from django.contrib.gis.db import models


# Create your models here.
class Answer(models.Model):
  point = models.PointField()
  place = models.ForeignKey('adminShapes.Place')
  
  def city_distance(self):
    p1 = self.place.point
    p2 = self.point
    p1.transform(900913)
    p2.transform(900913)
    return p1.distance(p2)