from django.conf.urls import patterns, include, url
from django.contrib import admin
admin.autodiscover()

from dajaxice.core import dajaxice_autodiscover, dajaxice_config
dajaxice_autodiscover()


urlpatterns = patterns('',
    url(dajaxice_config.dajaxice_url, include('dajaxice.urls')),
    # Admin
    url(r'^admin/importShapefile/', 'adminShapes.views.importShapefile',name="importShapefile"),
    url(r'^admin/generatePoints/', 'adminShapes.views.generatePoints',name="generatePoints"),
    url(r'^admin/worldPoints/', 'adminShapes.views.worldPoints',name="worldPoints"),
    url(r'^admin/createCity/', 'adminShapes.views.createCity',name="createCity"),
    url(r'^admin/importShapefileNewCity/', 'adminShapes.views.importShapefileNewCity',name="importShapefileNewCity"),
    url(r'^admin/generateetg/', 'adminShapes.views.generateetg',name="generateetg"),
    url(r'^admin/generateRandom/', 'adminShapes.views.generateRandom',name="generateRandom"),

    (r'^admin/', include(admin.site.urls)),

    # Site
    url(r'^$', 'quiz.views.start_game', name='start_game'),
    url(r'^send_answer/$', 'quiz.views.send_answer', name='send_answer'),
    url(r'^(?P<city_name>[a-z\-]+)/$', 'quiz.views.play', name='play'), # Should be last so it doesnt override the others
)
