from django.template import Library, Node
from adminShapes.models import City
     
register = Library()

def cities_list(context):
  context['cities'] = City.objects.all()

  # Add the url-friendly name to the cities
  for city in context['cities']:
    city.urlFriendlyName = city.name.replace(' ','-')
    city.urlFriendlyName = city.urlFriendlyName.lower()
  return ''

register.simple_tag(takes_context=True)(cities_list)
